Opened 8 years ago

Closed 8 years ago

#456 closed defect (fixed)

Kompatibilitätsproblem seit 3.10 mit Google Analytics by Yoast

Reported by: Roger Rehnelt Owned by: d.schmitzer
Priority: blocker Milestone: 3.11
Component: Core Version: 3.10
Keywords: Cc:

Description (last modified by Roger Rehnelt)

Das o.g. Plugin erzeugt einen Fehler beim Checkout:

PHP Fatal error: Call to undefined function get_currentuserinfo() in /home/www/woll-loewe/wp-content/plugins/google-analytics-for-wordpress/frontend/abstract-class-tracking.php on line 306

Hängt evtl. mit der neuen PayPal Integration zusammen?

Plugin: https://de.wordpress.org/plugins/google-analytics-for-wordpress/
siehe Forum: http://forum.maennchen1.de/viewtopic.php?f=13&t=7790

Fehler häufen sich. Unter anderem auch mit NextGen Galery:
http://forum.maennchen1.de/viewtopic.php?f=13&t=7830

Change History (2)

comment:1 by Roger Rehnelt, 8 years ago

Description: modified (diff)
Priority: majorblocker

comment:2 by d.schmitzer, 8 years ago

Resolution: fixed
Status: newclosed

Durch das Speichern des Warenkorbes bei jedem Abschicken des Checkouts ist das Problem mit der fehlenden is_rtl Funktion entstanden. Der Funktionsaufruf erfolgte in der wpsg_ShopController::initShop() die beim laden des Plugins aufgerufen wird. Ich habe diesen Aufruf in die wp_load gepackt, die erst aufgerufen wird wenn Wordpress mit allen Plugins geladen ist.

Problem konnte vorher zumindest mit der internen Galerie nachgestellt werden. Und trat nach der Änderung nicht mehr auf.

Note: See TracTickets for help on using tickets.